Subject: Re: [i2rs] Some comments on draft-ietf-i2rs-rib-info-model-01

From: Alia Atlas <[email-masked]>
Date: Mon, 19 May 2014 19:38:29 -0400

When I was working on the architecture , NACM seemed a likely place to
start if YANG is used.
Certainly, it has all the functionality that I was looking for.

Alla

On Wed, Apr 30, 2014 at 8:49 PM, Jeffrey Haas <[email-masked]> wrote:
> On Wed, Apr 30, 2014 at 07:02:19AM -0700, Andy Bierman wrote:
>> On Wed, Apr 30, 2014 at 6:39 AM, Joel M. Halpern <[email-masked]>wrote:
>> NETCONF and RESTCONF already have a standard Role-Based Access Control
>> Model,
>> called NACM (RFC 6536).  Does the I2RS WG plan to create its own ACM, leave
>> it
>> to vendors, or something else?
>
> Regardless of the data model and protocol, I believe we'll need something
> like this for I2RS.  Section 3.2.1 of RFC 6536 covers properties that I
> would suspect would be requirements for any such system.  While Joel is
> correct that we're not to the point of worrying about the details yet until
> we choose, I suspect that it's not too hard to read the remaining content of
> section 3 in the context of somewhat more abstract protocol operations and
> derive impacts on requirements.
>
> -- Jeff
>
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs